<%#-- copyright
OpenProject is an open source project management software.
Copyright (C) 2012-2023 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>

<% html_title t(:label_administration), t(:label_work_package_tracking) -%>

<%= toolbar title: t(:label_work_package_tracking) %>

<%= styled_form_tag({action: :update}, method: :patch) do %>
  <section class="form--section">
    <div class="form--field"><%= setting_check_box :cross_project_work_package_relations %></div>
    <div class="form--field"><%= setting_check_box :display_subprojects_work_packages %></div>
    <div class="form--field"><%= setting_check_box :work_package_startdate_is_adddate %></div>
    <div class="form--field"><%= setting_select :work_package_done_ratio, WorkPackage::DONE_RATIO_OPTIONS.collect {|i| [t("setting_work_package_done_ratio_#{i}"), i]}, container_class: '-middle' %></div>
    <div class="form--field settings--highlighting-mode">
      <%= setting_select :work_package_list_default_highlighting_mode,
                         Query::Highlighting::QUERY_HIGHLIGHTING_MODES.map { |mode|
                           [t("settings.highlighting.mode_long.#{mode}"), mode]
                         },
                         Hash.new.tap { |options|
                            options[:container_class] = '-middle'
                         }
      %>
    </div>
    <div class="form--field -indented -vertical settings--highlighted-attributes" style="<%= 'display: none' unless Setting[:work_package_list_default_highlighting_mode] == 'inline' %>">
      <%= setting_multiselect :work_package_list_default_highlighted_attributes,
                            Query.available_columns(nil).select(&:highlightable).map { |column|
                              [column.caption, column.name.to_s]
                            }
      %>
    </div>
  </section>
  <fieldset class="form--fieldset"><legend class="form--fieldset-legend"><%= t(:setting_column_options) %></legend>
    <%
       column_choices = Query.new.displayable_columns.map { |column|
         { caption: column.caption, value: column.name.to_s }
       }
    %>
    <%= settings_matrix([:work_package_list_default_columns],
                        column_choices, label_choices: :setting_work_package_properties) %>
  </fieldset>
  <%= styled_button_tag t(:button_save), class: '-highlight -with-icon icon-checkmark' %>
<% end %>
